#include <crypto/mac.h>
#include <crypto/crypto.h>

NTL_CLIENT


int main()
{
	ZZ k = hex_to_ZZ("0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b");
	ostring key = i2osp(k, NumBytes(k));
	//ostring key = "Jefe";  // ###

	ostring data = "Hi There";
	//ostring data = "what do ya want for nothing?";  // ###

	MD5 hash(16);
	HMAC h(hash, key.size(), 16);

	h.PrettyPrint(cout);

	ostring x = h.eval(key, data);

	//cout <<" digest = " << x <<endl;

	dumphex(x);
}

